--- title: "getCloudMssqlLogBackupFileList" slug: "database-vmssql-getcloudmssqllogbackupfilelist" updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vmssql-getcloudmssqllogbackupfilelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudMssqlLogBackupFileList Available in VPC Get the log backup file list of a Cloud DB for MSSQL instance. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vmssql/v2/getCloudMssqlLogBackupFileList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud DB for MSSQL (VPC) APIs, see [Cloud DB for MSSQL (VPC) request headers](/docs/en/database-vmssql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the Cloud DB for MSSQL instance to view - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) - First Region of the `getRegionList` query result (default) | | `cloudMssqlInstanceNo` | String | Required | Cloud DB for MSSQL instance number - See [getCloudMssqlInstanceList](/docs/en/database-vmssql-getcloudmssqlinstancelist) | | `databaseName` | String | Required | DB name - See [getCloudMssqlBackupDetailList](/docs/en/database-vmssql-getcloudmssqlbackupdetaillist) | | `backupSetId` | String | Required | Backup ID - See [getCloudMssqlBackupDetailList](/docs/en/database-vmssql-getcloudmssqlbackupdetaillist) | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmssql/v2/getCloudMssqlLogBackupFileList ?regionCode=KR &cloudMssqlInstanceNo=2517**** &databaseName=msdb &backupSetId=12 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [CloudMssqlLogBackupFileList](/docs/en/common-vapidatatype-cloudmssqllogbackupfilelist) for the response body. ### Response status codes For information about the HTTP status codes common to all Cloud DB for MSSQL (VPC) APIs, see [Cloud DB for MSSQL (VPC) response status codes](/docs/en/database-vmssql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: - If `responseFormatType=json` ``` { "getCloudMssqlLogBackupFileListResponse": { "totalRows":1, "cloudMssqlBackupDetailList": [ { "fileName": "msdb_20240807_02****.full", "fullFileName": "Z:\\cmssql_backup\\user_idx_276****\\cmssql_10-0-2520_m-3***-001\\msdb_20240807_172525.log", "startTime": "2024-08-07T17:25:25+0900", "endTime": "2024-08-07T17:25:25+0900", "fileSize": 620280 } ], "requestId": "93697d3d-****-****-****-953e20c67075", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 93697d3d-****-****-****-953e20c67075 0 success 1 msdb msdb_20240701_02****.full Z:\cmssql_backup\user_idx_276****\cmssql_10-0-2520_m-3***-001\msdb_20240807_172525.log 2024-08-07T17:25:25+0900 2024-08-07T17:25:25+0900 620280 ```